Skip to main content
GET
Retrieve Device Mode

Authorizations

Authorization
string
header
required

Short-lived session token obtained from POST /api/sessions/v2. Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.

Headers

X-Device-Key
string
required

Device Key (4 BIP39 words) identifying the target device. Obtain it from POST /device/otp/confirm/v2.

Pattern: ^[a-z]+-[a-z]+-[a-z]+-[a-z]+$
Example:

"alpha-bravo-charlie-delta"

Response

200 - application/json

OK

playback_protocol
enum<string>
required

Device operation protocol.

HDC: Haptic Direct Control - protocol for direct device control. User can set position & velocity or position & time it will take to get the receiver there.

HSC: Haptic Script Control - protocol for controlling script playback. The script is sent to device by passing the link. After script dowloaded by device, server controls device with start, stop, pause commands.

HPS: Haptic Points Stream - protocol for streaming device position signals. The stroker movement velocity is calculated on device and is based on time difference between signals. At least two signals needed to move the stroker.

HLC: Haptic Loop Control - protocol for simple up/down stroking without the need for data points. It only needs stroker velocity percentage and min/max positions for stroking range to create a loop and move according provided range.

Available options:
hdc,
hsc,
hps,
hlc
Example:

"hdc"